# Generated by Django 2.2 on 2019-04-28 21:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=256, verbose_name='Title')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=256, verbose_name='Title')),
                ('created', models.DateTimeField(auto_now=True, verbose_name='Created at')),
                ('status', models.CharField(choices=[('P', 'Pending'), ('D', 'Done')], default='P', max_length=1, verbose_name='Status')),
                ('group', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='tasks', to='todolist.Group')),
            ],
        ),
    ]
